NSX-T Data Center REST API

Patch SpoofGuard profile

Create a new SpoofGuard profile if the SpoofGuard profile with the given id
does not exist. Otherwise, patch with the existing SpoofGuard profile.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/spoofguard-profiles/{spoofguard-profile-id}
/policy/api/v1/global-infra/spoofguard-profiles/{spoofguard-profile-id}
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/spoofguard-profiles/{spoofguard-profile-id}
Request Headers:
n/a
Query Parameters:
OverrideRequestParameters+
Request Body:
SpoofGuardProfile+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/spoofguard-profiles/spoofguardprofile_1 { "display_name": "SpoofGuardProfile", "description": "SpoofGuardProfile", "address_binding_allowlist": true }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_profiles

Additional Errors: